/**
 *  ValidationConfig.java
 
 Copyright 2007 KUBO Hiroya (hiroya@cuc.ac.jp).
 
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 
 http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 
 Created on 2007/04/07
 Author hiroya
 */
package net.sqs2.omr.session.config;

import java.io.Serializable;

public class ValidationConfig implements Serializable {
	private static final long serialVersionUID = 0L;
	boolean checkUpsideDown;
	boolean checkEvenOdd;
	boolean checkDistortion;
	double horizontalDistortion;
	double verticalDistortion;

	public ValidationConfig() {
	}

	public boolean isCheckEvenOdd() {
		return this.checkEvenOdd;
	}

	public void setCheckEvenOdd(boolean checkEvenOdd) {
		this.checkEvenOdd = checkEvenOdd;
	}

	public boolean isCheckUpsideDown() {
		return this.checkUpsideDown;
	}

	public void setCheckUpsideDown(boolean checkUpsideDown) {
		this.checkUpsideDown = checkUpsideDown;
	}

	public boolean isCheckDistortion() {
		return this.checkDistortion;
	}

	public void setCheckDistortion(boolean checkDistiortion) {
		this.checkDistortion = checkDistiortion;
	}

	public double getHorizontalDistortion() {
		return this.horizontalDistortion;
	}

	public void setHorizontalDistortion(double horizontalDistortion) {
		this.horizontalDistortion = horizontalDistortion;
	}

	public double getVerticalDistortion() {
		return this.verticalDistortion;
	}

	public void setVerticalDistortion(double verticalDistortion) {
		this.verticalDistortion = verticalDistortion;
	}
}
